servicemix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Thomas Lehoux (JIRA)" <j...@apache.org>
Subject [jira] [Created] (SMX4-1805) jedis bundle (<=2.2.1_1) needs an unresolvable commons-pool2 dependency
Date Fri, 11 Jul 2014 10:26:04 GMT
Thomas Lehoux created SMX4-1805:
-----------------------------------

             Summary: jedis bundle (<=2.2.1_1) needs an unresolvable commons-pool2 dependency

                 Key: SMX4-1805
                 URL: https://issues.apache.org/jira/browse/SMX4-1805
             Project: ServiceMix 4
          Issue Type: Bug
          Components: Bundles
            Reporter: Thomas Lehoux


Apache commons pool 2 packages are imported by Jedis bundle.

For 2.2.1_1 and 2.1.0_1 version, the version needed is :

Import-Package = 
	org.apache.commons.pool;version="[1.5,2)",
	org.apache.commons.pool.impl;version="[1.5,2)"

However, commons-pool2 starts at version 2.0. The dependency cannot be resolved.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message